﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using MindFusion.Scheduling;
namespace MinApp
{
	// Learn more about making custom code visible in the Xamarin.Forms previewer
	// by visiting https://aka.ms/xamarinforms-previewer
	[DesignTimeVisible(false)]
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();

			cbDragBehavior.ItemsSource = typeof(DragBehavior).GetEnumNames();
			cbDragBehavior.SelectedItem = calendar.DragBehavior.ToString();
			cbDragBehavior.SelectedIndexChanged += cbDragBehavior_SelectedIndexChanged;

			calendar.Date = DateTime.Today;

			Appointment app = new Appointment();
			app.StartTime = calendar.Date.AddDays(0);
			app.EndTime = app.StartTime + TimeSpan.FromHours(24);
			app.HeaderText = "Hello";
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = calendar.Date.AddDays(1);
			app.EndTime = app.StartTime + TimeSpan.FromHours(24);
			app.HeaderText = "World!";
			calendar.Schedule.Items.Add(app);

		}

		private void cbDragBehavior_SelectedIndexChanged(object sender, EventArgs e)
		{
			calendar.DragBehavior = (DragBehavior)Enum.Parse(typeof(DragBehavior), cbDragBehavior.SelectedItem.ToString());
		}
	}
}
